Subject: Re: [PATCH 2/2] remote.c: reject 0-length branch names

From: Junio C Hamano <[email-masked]>
Date: Wed, 01 Jun 2022 14:21:21 -0700

Glen Choo <[email-masked]> writes:

> It truly makes no sense because `branch..remote` fits the schema of
> `branch.<name>.remote` where <name> is "", but "" isn't a valid branch
> name (and it never has been AFAIK). So such a key would never be useful
> to Git, and it would be extremely hacky for a non-Git tool to use such
> a key.

Yup, we might want to reserve a bogus key or two that can never be a
branch name to allow us express "this configuration is in effect for
all branches" (e.g. "branch.*.rebase = never"), but the natural such
name would be "*" and does not have to be an empty string.